<?php
##########################################
# ~ Разработка отдельных модулей ~~~~~~~ #
# ~ и написание скриптов на php (c)KoT ~ #
# ~ ICQ: 7675072 ~~~~~~~~~~~~~~~~~~~~~~~ #
# ~ Site: 4atlove.ru ~~~~~~~~~~~~~~~~~~~ #
# ~ E-mail: notefree@bk.ru ~~~~~~~~~~~~~ #
##########################################

require'../config.php';
$align='left';
$title='Рефералы';
aut();
head();
who_add(0,'enter');

$us = $user['user'];
$fr = $user['friends'];

$mod = isset($_GET['mod']) ? $_GET['mod'] : NULL;
switch($mod) {

default:
$us = $user['user'];


$num = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `invite` = '$user[id]'"), 0);
echo '<b>Мои рефералы:</b><br/>';

if ($num == 0) {
echo '<br/>Надо активнее работать:)<br/><br/>';
} else {
if (!isset($s)) $s = 0;
$mx = round(($num/10)+0.45);
if ($s > $mx) $s = $mx;
if ($s == 0) $s = 1;
$ot = (($s - 1) * 10) + 1;
$do = $s * 10;
if ($do > $num) $do = $num;
$o = $ot-1;
$n = $ot;
if ($do == 0) $n = $o;
echo "Показывает $n-$do из $num<br/>\n";
echo '-------<br />';
$o = abs(intval($o));
$do = abs(intval($do));
$r = mysql_query("SELECT id, user FROM users WHERE invite ='$id' ORDER BY id DESC LIMIT $o,$do");

for ($i = $ot; $i <= $do; $i++) {
$arr = mysql_fetch_array($r);
echo ($i).') <a href="../info?nk='.$arr['id'].'">'.$arr['user'].'</a><br/>'; 
}

$next = $s + 1;
$prev = $s - 1;
if ($num > $do) {
$ot = (($next-1)*10)+1;
$do = $next * 10;
if ($do > $num) $do = $num;
echo '<br/><a href="invite?s='.$next.'">'.$ot.'-'.$do.'</a><br/>';
}
if ($s > 1) {
$ot = (($prev - 1) * 10) + 1;
$do = $prev * 10;
echo '<a href="invite?s='.$prev.'">'.$ot.'-'.$do.'</a><br/>';
}
}
echo "<hr/><a href=\"invite?mod=add\"><b>Пригласить друга</b></a><br/>\n
      <a href =\"../enter\">&#8592; Прихожая</a><br/>\n";

foot();

exit;
break;

case 'add':

echo "Чтобы пригласить своих друзей ты можешь воспользоваться своей персональной ссылкой:<br/>\n
      http://".$_SERVER['HTTP_HOST']."/?inv=$user[id]<br/>\n
      <br/>\n
      Скопировать ссылку:<br/>\n";

echo "<input size=\"25\" value=\"http://".$_SERVER['HTTP_HOST']."/?inv=$id\" /><br/>\n";

echo "<br/><a href=\"invite\">Мои рефералы</a><br/>\n";

foot();
   
exit;

break;
}
?>